<?php
/**
 * Template part for displaying the reviews slider
 *
 * @package xanatek
 */

namespace WP_Rig\WP_Rig;

?>
<div class="reviews-slider-container">
	<div class="reviews-slider-wrap">
	<div class="slideshow">
		<!-- Slideshow container -->
		<div class="slideshow-container">
			<!-- Full-width images with number and caption text -->
			<?php
				$review = get_field( 'review_content_1', 56 );
				if ( ! empty( $review ) ) :
			?>
			<div class="mySlides fade">
				<div class="review-text">
					<?php the_field('review_content_1', 56); ?>
				</div>
				<div class="review-meta">
					<?php
						$name = get_field( 'review_name_1', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-name">
						<?php the_field('review_name_1', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_job_title_1', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-job">
						<?php the_field('reviewer_job_title_1', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_company_1', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-company">
						<?php the_field('reviewer_company_1', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_city_1', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-city">
						<?php the_field('reviewer_city_1', 56 ); ?>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_2', 56 );
				if ( ! empty( $review ) ) :
			?>
			<div class="mySlides fade">
				<div class="review-text">
					<?php the_field('review_content_2', 56 ); ?>
				</div>
				<div class="review-meta">
					<?php
						$name = get_field( 'review_name_2', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-name">
						<?php the_field('review_name_2', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_job_title_2', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-job">
						<?php the_field('reviewer_job_title_2', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_company_2', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-company">
						<?php the_field('reviewer_company_2', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_city_2', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-city">
						<?php the_field('reviewer_city_2', 56 ); ?>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_3', 56 );
				if ( ! empty( $review ) ) :
			?>
			<div class="mySlides fade">
				<div class="review-text">
					<?php the_field('review_content_3', 56 ); ?>
				</div>
				<div class="review-meta">
					<?php
						$name = get_field( 'review_name_3', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-name">
						<?php the_field('review_name_3', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_job_title_3', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-job">
						<?php the_field('reviewer_job_title_3', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_company_3', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-company">
						<?php the_field('reviewer_company_3', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_city_3', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-city">
						<?php the_field('reviewer_city_3', 56 ); ?>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_4', 56 );
				if ( ! empty( $review ) ) :
			?>
			<div class="mySlides fade">
				<div class="review-text">
					<?php the_field('review_content_4', 56); ?>
				</div>
				<div class="review-meta">
					<?php
						$name = get_field( 'review_name_4', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-name">
						<?php the_field('review_name_4', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_job_title_4', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-job">
						<?php the_field('reviewer_job_title_4', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_company_4', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-company">
						<?php the_field('reviewer_company_4', 56 ); ?>
					</div>
					<?php endif; ?>

					<?php
						$name = get_field( 'reviewer_city_4', 56 );
						if ( ! empty( $name ) ) :
					?>
					<div class="review-city">
						<?php the_field('reviewer_city_4', 56 ); ?>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>
			<!-- Next and previous buttons -->
  			<a class="prev" onclick="plusSlides(-1)"><img src="/wp-content/uploads/arrow-icon.svg" alt="Previous"></a>
  			<a class="next" onclick="plusSlides(1)"><img src="/wp-content/uploads/arrow-icon.svg" alt="Next"></a>
		</div>
		<!-- The dots/circles -->
		<div class="slideshow-dots">
			<?php
				$review = get_field( 'review_content_1', 56 );
				if ( ! empty( $review ) ) :
			?>
			<span class="dot" onclick="currentSlide(1)"></span>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_2', 56 );
				if ( ! empty( $review ) ) :
			?>
			<span class="dot" onclick="currentSlide(2)"></span>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_3', 56 );
				if ( ! empty( $review ) ) :
			?>
			<span class="dot" onclick="currentSlide(3)"></span>
			<?php endif; ?>

			<?php
				$review = get_field( 'review_content_4', 56 );
				if ( ! empty( $review ) ) :
			?>
			<span class="dot" onclick="currentSlide(4)"></span>
			<?php endif; ?>
		</div>
		<aside class="review-links">
			<?php
				$links = get_field( 'reviews_links', 56 );
				if ( ! empty( $links ) ) :
			?>
				<?php the_field( 'reviews_links', 56  );?>
			<?php endif ?>
		</aside>
	</div>
	<?php
		$image = get_field('reviews_image', 56);
		if( !empty( $image ) ):
	?>
    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>" class="reviews-image"/>
	<?php endif; ?>
	</div>
</div><!-- .slider-content -->
</div>
<script>
var slideIndex = 1;
showSlides(slideIndex);

// Next/previous controls
function plusSlides(n) {
  showSlides(slideIndex += n);
}

// Thumbnail image controls
function currentSlide(n) {
  showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("mySlides");
  var dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "grid";
  dots[slideIndex-1].className += " active";
}

</script>
