<?php
/**
 * The sidebar containing the secondary footer widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package xanatek
 */

namespace WP_Rig\WP_Rig;

if ( ! xanatek()->is_secondary_footer_widgets_active() ) {
	return;
}

xanatek()->print_styles( 'xanatek-secondary-footer-widgets' );

?>
<aside id="secondary-footer-widgets" class="secondary-footer-widgets-area widget-area">
	<?php xanatek()->display_secondary_footer_widgets(); ?>
</aside><!-- #secondary -->
