<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package xanatek
 */

namespace WP_Rig\WP_Rig;

?>

	<footer id="colophon" class="site-footer">
		<div class="footer-container">
			<?php if ( ! is_page( 'contact-us' ) ) { ?>
				<?php get_template_part( 'template-parts/footer/footer-widgets' ); ?>
				<?php get_template_part( 'template-parts/footer/secondary-footer-widgets' ); ?>
			<?php } ?>
		<?php get_template_part( 'template-parts/footer/info' ); ?>
		<?php get_template_part( 'template-parts/footer/form-popup' ); ?>
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
